/cosmos/{chain}/txs/job/start

Starts a job to fetch all transactions for a Cosmos wallet in the given time range.

The endpoint returns URL of the first page of results to be generated by the job.

After starting the job:

  1. Use the returned nextPageUrl to fetch the first page
  2. If you get a 425, retry on an interval until you get a result back
  3. Repeat for subsequent URLs until you get to a page with no nextPageUrl field included

After starting a job, you will incur API CUs for the entirety of it (based on the number of transactions fetched).

Note: Processing large date ranges may take some time. Use the startBlock / endBlock parameters to control the size of the job.

Path Params
string
required
Defaults to dymension

Name of the chain.

Query Params
string

Address of the account to fetch transactions for.

int64
required

First block number to include in results.

int64
required

Last block number to include in results.

int32
1 to 100
Defaults to 50

Number of transactions per page (1-100).

Headers
string
required
Defaults to demokey

API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
202

Accepted

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json